Skip to main content
GET
/
2025-04
/
retail-media
/
categories
/2025-04/retail-media/categories
curl --request GET \
  --url https://api.criteo.com/2025-04/retail-media/categories \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "name": "<string>",
        "parentId": "<string>",
        "text": "<string>"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

pageIndex
integer<int32>
default:0

The start position in the overall list of matches. Must be zero or greater.

Required range: 0 <= x <= 500
pageSize
integer<int32>
default:100

The maximum number of results to return with each call. Must be greater than zero.

Required range: 1 <= x <= 100
retailerId
integer<int32>

The retailer id for which Categories fetched

textSubstring
string

Query string to search across Categories

Response

200 - application/json

Categories found.

A top-level object that encapsulates a Criteo API response for several entities.

data
object[] | null
errors
object[] | null
read-only
warnings
object[] | null
read-only